# Class RenderEngine

Class RenderEngine

Declaration :

- C++ : class RenderEngine : public Processor

Artifact : renderengine

Operation play

Declaration :

- Uml : + play() : void
- C++ : public: void play ()

TODO: will probably be handled differently (see Cehteh)

Relation renderSegments (<directional aggregation by value>)

Declaration :

- Uml : - renderSegments : Processor, multiplicity : 0..*
- C++ : private: list<Processor> renderSegments

All public operations : play